igeo.io

## Enum IRhino3dm.Texture.Type

- java.lang.Object
- - java.lang.Enum<IRhino3dm.Texture.Type>
  - - igeo.io.IRhino3dm.Texture.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IRhino3dm.Texture.Type>
  Enclosing class:
    IRhino3dm.Texture

      public static enum IRhino3dm.Texture.Type
      extends java.lang.Enum<IRhino3dm.Texture.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BumpTexture`
    `EMapTexture`
    `Force32BitTextureType`
    `NoTextureType`
    `TransparencyTexture`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IRhino3dm.Texture.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IRhino3dm.Texture.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NoTextureType

          public static final IRhino3dm.Texture.Type NoTextureType

    - #### BumpTexture

          public static final IRhino3dm.Texture.Type BumpTexture

    - #### TransparencyTexture

          public static final IRhino3dm.Texture.Type TransparencyTexture

    - #### EMapTexture

          public static final IRhino3dm.Texture.Type EMapTexture

    - #### Force32BitTextureType

          public static final IRhino3dm.Texture.Type Force32BitTextureType

  - ### Method Detail

    - #### values

          public static IRhino3dm.Texture.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IRhino3dm.Texture.Type c : IRhino3dm.Texture.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IRhino3dm.Texture.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null